Subject: Re: Serial port access under expect
From: "Chirag Kantharia" <[email-masked]>
To: "Sergey Okhapkin" <[email-masked]>
Cc: [email-masked]
Date: Sun, 19 Jan 2003 17:29:55 +0500

Hi Sergey,

I am not sure if I understand you. I am not trying to open
the serial port from two processes simultaneously. I tried
opening the serial port from the bash prompt, which worked
and later, I tried from the expect script which didn't work.
If the expect script is implicitly opening the serial port
twice, then I'm confused. Does the script mentioned below
open the serial port twice?

Regards,

chyrag.

----- Original Message -----
From: "Sergey Okhapkin" <[email-masked]>
Date: Sunday, January 19, 2003 5:48 pm
Subject: Re: Serial port access under expect
> Don't you try to open a serial port from two processes? You can't 
> do that on
> Windows, Windows don't allow to share the serial ports.
<snip>
> From: "Chirag Kantharia" <[email-masked]>
>
> > I have a simple terminal emulation program, through which I am
> > able to access an embedded board, through serial port. This works
> > fine from the bash prompt; but however, if I try to do the same
> > from within an expect script, the program fails with "Permission
> > denied" message, for the open() call (to open the serial port).
> > The expect script snippet is something like the below:
> >
> > set timeout 60
> > spawn tinycom -n -b 9600 /dev/ttyS0
> > sleep 2
> > send "\r\r"
> > expect ">$"

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/